io.agora.rtc

## Class AudioSubscriptionOptions

- java.lang.Object
- - io.agora.rtc.AudioSubscriptionOptions

-     public class AudioSubscriptionOptions
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bytesPerSample`
    `private int` | `numberOfChannels`
    `private int` | `packetOnly`
    `private int` | `pcmDataOnly`
    `private int` | `sampleRateHz`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudioSubscriptionOptions()`
    `AudioSubscriptionOptions(int packetOnly, int pcmDataOnly, int bytesPerSample, int numberOfChannels, int sampleRateHz)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBytesPerSample()`
    `int` | `getNumberOfChannels()`
    `int` | `getPacketOnly()`
    `int` | `getPcmDataOnly()`
    `int` | `getSampleRateHz()`
    `void` | `setBytesPerSample(int bytesPerSample)`
    `void` | `setNumberOfChannels(int numberOfChannels)`
    `void` | `setPacketOnly(int packetOnly)`
    `void` | `setPcmDataOnly(int pcmDataOnly)`
    `void` | `setSampleRateHz(int sampleRateHz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### packetOnly

          private int packetOnly

    - #### pcmDataOnly

          private int pcmDataOnly

    - #### bytesPerSample

          private int bytesPerSample

    - #### numberOfChannels

          private int numberOfChannels

    - #### sampleRateHz

          private int sampleRateHz

  - ### Constructor Detail

    - #### AudioSubscriptionOptions

          public AudioSubscriptionOptions()

    - #### AudioSubscriptionOptions

          public AudioSubscriptionOptions(int packetOnly,
                                          int pcmDataOnly,
                                          int bytesPerSample,
                                          int numberOfChannels,
                                          int sampleRateHz)

  - ### Method Detail

    - #### getPacketOnly

          public int getPacketOnly()

    - #### setPacketOnly

          public void setPacketOnly(int packetOnly)

    - #### getPcmDataOnly

          public int getPcmDataOnly()

    - #### setPcmDataOnly

          public void setPcmDataOnly(int pcmDataOnly)

    - #### getBytesPerSample

          public int getBytesPerSample()

    - #### setBytesPerSample

          public void setBytesPerSample(int bytesPerSample)

    - #### getNumberOfChannels

          public int getNumberOfChannels()

    - #### setNumberOfChannels

          public void setNumberOfChannels(int numberOfChannels)

    - #### getSampleRateHz

          public int getSampleRateHz()

    - #### setSampleRateHz

          public void setSampleRateHz(int sampleRateHz)